Web lists-archives.com

Re: [Samba] ClassicUpgrade: ERROR(<type 'exceptions.ValueError'>): uncaught exception - zero length field name in format




On Sun, 16 Sep 2018 11:28:56 -0400
Bill Baird <Bill.Baird@xxxxxxxxxxxxx> wrote:

> Python is 2.6, but why wouldn't it throw an error during
> configure/make?

No, the python code isn't compiled.

> 
> I'm using Amazon Linux.

Would you like to raise a bug report ?

Here:
https://bugzilla.samba.org/

Rowland

> 
> On Sun, Sep 16, 2018 at 11:22 AM Rowland Penny via samba <
> samba@xxxxxxxxxxxxxxx> wrote:
> 
> > On Sun, 16 Sep 2018 10:51:25 -0400
> > Bill Baird via samba <samba@xxxxxxxxxxxxxxx> wrote:
> >
> > > I ran the same thing with 4.8.5 and it work without any issues:
> > >
> > > Adding groups
> > > Importing groups
> > > Committing 'add groups' transaction to disk
> > > Adding users
> > > Importing users
> > > Committing 'add users' transaction to disk
> > > Adding users to groups
> > > Committing 'add users to groups' transaction to disk
> > >
> > >
> > > On Sun, Sep 16, 2018 at 10:29 AM Bill Baird
> > > <Bill.Baird@xxxxxxxxxxxxx> wrote:
> > >
> > > > Hi All,
> > > >
> > > > Attempting to do a classicupgrade and getting this error:
> > > >
> > > > *Adding groups*
> > > > *Importing groups*
> > > > *Committing 'add groups' transaction to disk*
> > > > *Adding users*
> > > > *Importing users*
> > > > *Adding users to groups*
> > > > *Committing 'add users to groups' transaction to disk*
> > > > *ERROR(<type 'exceptions.ValueError'>): uncaught exception -
> > > > zero length field name in format*
> > > > *  File
> > > >
> > "/usr/local/samba/lib64/python2.6/site-packages/samba/netcmd/__init__.py",
> > > > line 177, in _run*
> > > > *    return self.run(*args, **kwargs)*
> > > > *  File
> > > >
> > "/usr/local/samba/lib64/python2.6/site-packages/samba/netcmd/domain.py",
> > > > line 1681, in run*
> > > > *    useeadb=eadb, dns_backend=dns_backend,
> > > > use_ntvfs=use_ntvfs)*
> > > > *  File
> > > > "/usr/local/samba/lib64/python2.6/site-packages/samba/upgrade.py",
> > > > line 845, in upgrade_from_samba3*
> > > > *    result.names.domaindn, result.lp, use_ntvfs)*
> > > > *  File
> > > >
> > "/usr/local/samba/lib64/python2.6/site-packages/samba/provision/__init__.py",
> > > > line 1693, in setsysvolacl*
> > > > *    userdn = '<SID={}-{}>'.format(domainsid,
> > > > security.DOMAIN_RID_ADMINISTRATOR)*
> > > >
> >
> > The answer is staring you in the face ;-)
> >
> > python2.6 isn't new enough for:
> >
> > '<SID={}-{}>'.format(domainsid,security.DOMAIN_RID_ADMINISTRATOR)
> >
> > It would have to be:
> >
> > '<SID={0}-{1}>'.format(domainsid,security.DOMAIN_RID_ADMINISTRATOR)
> >
> > Or:
> >
> > '<SID=%s-%s>' % (domainsid,security.DOMAIN_RID_ADMINISTRATOR)
> >
> > What is your OS ?
> >
> > Rowland
> >
> > --
> > To unsubscribe from this list go to the following URL and read the
> > instructions:  https://lists.samba.org/mailman/options/samba
> >
> 
> 


-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba